Loading...
Searching...
No Matches
ISAM2Result.h File Reference

Class that stores detailed iSAM2 result. More...

Go to the source code of this file.

## Classes

struct | gtsam::ISAM2Result
| This struct is returned from ISAM2::update() and contains information about the update that is useful for determining whether the solution is converging, and about how much work was required for the update. More...
struct | gtsam::ISAM2Result::DetailedResults
| A struct holding detailed results, which must be enabled with ISAM2Params::enableDetailedResults. More...
struct | gtsam::ISAM2Result::DetailedResults::VariableStatus
| The status of a single variable, this struct is stored in DetailedResults::variableStatus. More...

## Namespaces

namespace | gtsam
| Global functions in a separate testing namespace.

## Detailed Description

Class that stores detailed iSAM2 result.

Author
  Michael Kaess, Richard Roberts, Frank Dellaert